CentOS7中 给前端服务器使用Certbot配置SSL时出现No matching distribution found for certbot==0.22.0

问题:

服务器已经使用Certbot配置过SSL,现在需要给一个新增域名配置SSL,再次执行./certbot-auto --nginx --no-bootstrap 时出现以下错误:

 

Collecting certbot==0.22.0 (from -r /tmp/tmp.azB9bqXOOL/letsencrypt-auto-requirements.txt (line 206))
Could not find a version that satisfies the requirement certbot==0.22.0 (from -r /tmp/tmp.azB9bqXOOL/letsencrypt-auto-requirements.txt (line 206)) (from versions: 0.6.0, 0.7.0, 0.8.0, 0.8.1, 0.9.0, 0.9.1, 0.9.2, 0.9.3, 0.10.0, 0.10.1, 0.10.2, 0.11.0, 0.11.1, 0.12.0, 0.13.0, 0.14.0, 0.14.1, 0.14.2, 0.15.0, 0.16.0, 0.17.0, 0.18.0, 0.18.1, 0.18.2, 0.19.0, 0.20.0, 0.21.0, 0.21.1)
No matching distribution found for certbot==0.22.0 (from -r /tmp/tmp.azB9bqXOOL/letsencrypt-auto-requirements.txt (line 206))
=====================================================

Certbot has problem setting up the virtual environment.

We were not be able to guess the right solution from your pip 
output.

Consult https://certbot.eff.org/docs/install.html#problems-with-python-virtual-environment
for possible solutions.
You may also find some support resources at https://certbot.eff.org/support/ .

 

由于本人对pip配置环境还不熟悉,查找了github上Issues发现这是过时的pip配置引起的,只需要在用户目录下面删除.pip/pip.conf即可,目前已经配置成功!

 

 

参考:

https://github.com/certbot/certbot/issues/4309

posted on 2018-03-08 15:10 jiyj 阅读(...) 评论(...) 编辑 收藏

导航

公告